// src/plugin.cc - Copyright 2005, 2006, University
//               of Padova, dept. of Pure and Applied
//               Mathematics
//
// This file is part of SGPEMv2.
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// SGPEMv2 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SGPEMv2. If not, see http://www.gnu.org/licenses/.


#include "config.h"

#include "xml_serializer.hh"

#include <sgpemv2/plugin.hh>

using namespace sgpem;

sgpem::XMLSerializer* _serializer = nullptr;

void
sgpem__Plugin__on_init()
{
  if (_serializer == nullptr)
    _serializer = new sgpem::XMLSerializer();
}

void
sgpem__Plugin__on_exit()
{
  delete _serializer;
  _serializer = nullptr;
}

const char*
sgpem__Plugin__describe()
{
  return "This plugin saves the simulation to an XML file";
}

const char*
sgpem__Plugin__get_name()
{
  return "XmlSave";
}

const char*
sgpem__Plugin__get_author()
{
  return "Copyright 2005, 2006, University of Padova, dept. of Pure and Applied Mathematics";
}

float
sgpem__Plugin__get_version()
{
  return 1.0f;
}

